Results 1 to 5 of 5

Thread: Converting 5.0 app to 5.1 in SA Fails in Build if Custom UIs

  1. #1
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default Converting 5.0 app to 5.1 in SA Fails in Build if Custom UIs

    Apps where I did not create any custom UIs (for my grids, windows, etc.) seem to convert to 5.1 with no problem. (and I have been using a custom framework path pointing to 5.1 for a while, so still pointing to the same Ext5 directory).

    BUT, apps where I have custom UIs, the build fails with "mixin not defined" over and over


    Bruce

  2. #2

    Default

    Having the same problem. How can we migrate our custom theme to 5.1?

  3. #3
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default

    Andreas, I am using a custom path to the Ext file, so I don't think I "need" to upgrade an existing project. Perhaps someone can confirm that.Bruce

  4. #4
    Sencha User
    Join Date
    Apr 2012
    Posts
    304

    Default

    Hi,

    Could you let us know for which components have you created uis, so we can see to reproduce it. Also, can you create a ui for the same component in a new Ext5.1 without problems?

  5. #5
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Connecticut
    Posts
    1,016

    Default

    Miro, I have created UIs for many of the panels (where I want diff. colors, fonts, etc.) also for some buttons. I really don't have the time to try to re-create all of these in 5.1 just to see where it fails. (Although, I would assume it will create them fine, I assume there is some "conversion" error.I would be happy to zip up and send you a copy of my app (in 5.0) and you can try the framework upgrade your self and see the errors.Bruce

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •